Informatica, hardware e software

Informatica, hardware e software

Suggerimenti, consigli e richieste sul mondo dell'informatica.

ComePioveva ComePioveva 20/02/2018 ore 13.00.05
segnala

(Nessuno)Ho un problema con linux

Ho necessità di installare un pacchetto rpm che ha come dipendenza un pacchetto rpm che a sua volta ha come dipendenza il primo pacchetto!

Per esser chiaro

aaa.rpm ha come dipendenza bbb.rpm
ma bbb.rpm ha come dipendenza aaa.rpm

come faccio? :mmm

Mi sembra una cosa da pazzi! :ok
SickBoy985 SickBoy985 21/02/2018 ore 22.32.12 Ultimi messaggi
segnala

(Nessuno)RE: Ho un problema con linux

Magari se specifichi quali sono questi due pacchetti e fai un pastebin di quello he dice il gestore di pacchetti...
IndyGeno78 IndyGeno78 22/02/2018 ore 02.01.30 Ultimi messaggi
segnala

(Nessuno)RE: Ho un problema con linux

@SickBoy985 scrive:
Magari se specifichi quali sono questi due pacchetti e fai un pastebin di quello che dice il gestore di pacchetti...


già, tanto per cominciare... a volte qualche informazione in più non guasterebbe.

@ComePioveva scrive:
Ho necessità di installare un pacchetto rpm che ha come dipendenza un pacchetto rpm che a sua volta ha come dipendenza il primo pacchetto!


Da come descrivi il problema, posso presupporre che stai provando ad installare dei pacchetti rpm scaricati su un qualche sito web (non meglio precisato), per poterli installare sulla tua distro.
Se presuppongo bene, sarebbe sufficiente installare il pacchetto aaa.rpm con il comando

# rpm -ivh aaa.rpm --nodeps

o, in alternativa, con il comando
# rpm -ivh aaa.rpm --force --nodeps

per poi installare il secondo normalmente con il comando
#rpm -ivh bbb.rpm

Magari però potresti accertarti se il pacchetto che ti occorre sia disponibile sui repositori della tua distro (o su repository di terze parti) e ti eviteresti questi sbattimenti.
ComePioveva ComePioveva 22/02/2018 ore 07.57.42
segnala

(Nessuno)RE: Ho un problema con linux

I pacchetti sono gcc e il gcc-c++ e se non li ho elencati precedentemente è perché mi sembrava un problema a carattere generale.

Alla fine ho risolto, provandoci alla disperata, e cioè elencando i pacchetti contemporaneamente sulla stessa linea comando:

rpm -ihv aaa.rpm bbb.rmp

ed è andata, ha risolto l'interdipendenza autonomamente.

Comunque vi ringrazio entrambi per il vostro aiuto.
SickBoy985 SickBoy985 22/02/2018 ore 09.20.50 Ultimi messaggi
segnala

(Nessuno)RE: Ho un problema con linux

Gcc e gcc++ non vanno installati tramite rpm... se lo dicevi prima ti avremmo consigliato di installare un pacchetto build-essential che ti installava tutto quello di cui avevi bisogno per compilare da sorgenti... e tenere le dipendenze aggiornate...
ComePioveva ComePioveva 22/02/2018 ore 13.05.13
segnala

(Nessuno)RE: Ho un problema con linux

@SickBoy985 : Sto attualmente lavorando su un sistema Power8 IBM in ambiente S.O. AIX e i pacchetti Linux (per ambiente AIX) sono forniti con estensione rpm.

Non mancherò in futuro di chiederti supporto, grazie!
SickBoy985 SickBoy985 22/02/2018 ore 16.04.53 Ultimi messaggi
IndyGeno78 IndyGeno78 22/02/2018 ore 18.49.54 Ultimi messaggi
segnala

(Nessuno)RE: Ho un problema con linux

@SickBoy985 : vabbe', alla fine sempre di sistemi unix-like i tratta... con la differenza che AIX è un sistema proprietario.
ComePioveva ComePioveva 22/02/2018 ore 18.58.44
segnala

(Nessuno)RE: Ho un problema con linux

@SickBoy985 scrive:
Allora scrivi problema Unix non problema Linux ;)


Pardon :-)
ComePioveva ComePioveva 22/02/2018 ore 18.59.01
segnala

(Nessuno)RE: Ho un problema con linux

@IndyGeno78 scrive:
vabbe', alla fine sempre di sistemi unix-like i tratta... con la differenza che AIX è un sistema proprietario.


Grazie!
SickBoy985 SickBoy985 22/02/2018 ore 19.44.11 Ultimi messaggi
segnala

(Nessuno)RE: Ho un problema con linux

C’è una grossa differenza... anche OS X è Unix like ma la gestione a livello utente dei pacchetti è differente
IndyGeno78 IndyGeno78 23/02/2018 ore 00.41.58 Ultimi messaggi
segnala

(Nessuno)RE: Ho un problema con linux

@SickBoy985 : Sulla maggior parte delle varie distro linux ci si sta andando vicino con i vari appImage, flatpack e snap. Forse è un po' una forzatura, però ci può anche stare.
Comunque si può tranquillamente installare un pacchetto .rpm con rpm, proprio come è possibile installare pacchetti .deb con dpkg. Ovviamente, essendo rpm e dpkg dei tool di basso livello, non risolvono automaticamente le dipendenze... su linux ci si può avvalere anche di tool come apt, dnf, pacman e via dicendo, alcuni comuni su differenti distribuzioni.
SickBoy985 SickBoy985 26/02/2018 ore 00.10.31 Ultimi messaggi

Rispondi al messaggio

Per scrivere un nuovo messaggio è necessario accedere al sito.